> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-55d9d317.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Reverse Private Endpoint を削除

> **このendpointはベータです。** APIコントラクトは安定しており、今後breaking changesが発生することはない見込みです。<br /><br /> 指定したIDのreverse private endpointを削除します。



## OpenAPI

````yaml /ja/_specs/cloud-openapi.json delete /v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints/{reversePrivateEndpointId}
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints/{reversePrivateEndpointId}:
    delete:
      tags:
        - ClickPipes
      summary: Reverse Private Endpoint を削除
      description: >-
        **このendpointはベータです。** APIコントラクトは安定しており、今後breaking
        changesが発生することはない見込みです。<br /><br /> 指定したIDのreverse private
        endpointを削除します。
      parameters:
        - description: serviceを所有する組織のID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: Reverse Private Endpointを所有するserviceのID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
        - description: 削除するreverse private endpointのID。
          in: path
          name: reversePrivateEndpointId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意のID。UUIDv4
                    format: uuid
                    type: string
                  status:
                    description: HTTPステータスコード。
                    example: 200
                    type: number
                type: object
          description: 正常なレスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 詳細なerrorの説明。
                    type: string
                  status:
                    description: HTTPステータスコード。
                    example: 400
                    type: number
                type: object
          description: クライアント エラーと判断される何らかの理由により、server がリクエストを処理できない、または処理しません。
components:
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud console で取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````